<?php
/*********************************************************************
    display_open_topics.php

    Displays a block of the last X number of open tickets.

    Neil Tozier <tmib@tmib.net>
    Copyright (c)  2010-2013
    For use with osTicket version 1.7ST (http://www.osticket.com)

    Released under the GNU General Public License WITHOUT ANY WARRANTY.
    See osTickets's LICENSE.TXT for details.
**********************************************************************/

// The columns that you want to collect data for from the db
$columns = "name, subject, created, updated, agency, priority_id";

// The maximum amount of open tickets that you want to display.
$limit ='10';

// mysql query.  The columns tha
$query = "SELECT $columns
			 FROM ost_ticket
			 WHERE status = 'open'
			 ORDER BY created DESC
			 LIMIT 0,$limit";

if($result=mysql_query($query)) { 
  $num = mysql_numrows($result);
}

if ($num >> 0) {

// table headers, if you add or remove columns edit this
echo "<table border-color=#BFBFBF border=0 cell-spacing=2><tr style='background-color: #BFBFBF;'>";
echo "<td id='openticks-a'><b>Name</b></td><td id='openticks-a'><b>Site</b></td><td id='openticks-a'><b>Issue</b></td><td id='openticks-a'><b>Opened on</b></td><td id='openticks-b'><b>Last Update</b></td></tr>";

$i=0;
while ($i < $num) {
 
 // You will need one line below for each column name that you collect and want to display.
 // If you are unfamiliar with php its  essentially $uniqueVariable = mysql junk ( columnName );
 // Just copy one of the lines below and change the $uniqueVariable and columnName
 $name = mysql_result($result,$i,"name");
 $subject = mysql_result($result,$i,"subject");
 $created = mysql_result($result,$i,"created");
 $updated = mysql_result($result,$i,"updated");
 $agency = mysql_result($result,$i,"agency");
 $priority  = mysql_result($result,$i,"priority_id");
 
 // if no update say so
 if ($updated == '0000-00-00 00:00:00') {
   $updated = 'no update yet';
 }
 
  // look up site/agency and display proper name
  // mysql query.
  $getsite = "SELECT agency FROM ost_agencies WHERE id = $agency";
  $siteresult=mysql_query($getsite);
  $site = mysql_result($siteresult,0,"agency");
	//mysql_close();

	// change row back ground color to make more readable
	if(($i % 2) == 1)  //odd
      {$bgcolour = '#F6F6F6';}
  else   //even
      {$bgcolour = '#FEFEFE';}
 
 //populate the table with data
 echo "<tr align=center><td BGCOLOR=$bgcolour id='openticks-a' nowrap> &nbsp; $name &nbsp; </td><td BGCOLOR=$bgcolour id='openticks-a'>"
     ." &nbsp; $site &nbsp; </td><td BGCOLOR=$bgcolour id='openticks-a'> &nbsp; $subject ($priority) &nbsp; </td>"
     ."<td BGCOLOR=$bgcolour id='openticks-a'> &nbsp; $created &nbsp; </td><td BGCOLOR=$bgcolour id='openticks-b'>"
		 ." &nbsp; $updated &nbsp; </td></tr>";
 
 	++$i;
}
echo "</table>";
}

else {
 echo "<p style='text-align:center;'><span id='msg_warning'>There are no tickets open at this time.</span></p>";
}
?>